Subject: Re: SYS_Asynch
From: [email-masked] (Randell Jesup)
Date: 7 Dec 92 04:37:31 GMT
Newsgroups: comp.sys.amiga.programmer

[email-masked] (W L Anderson) writes:
>What exactly is the SYS_Asynch tag with supposed to do with SystemTagList?
>I thought it was supposed to run the command specificed asynchronously, but 
>I've been unable to get it to.  The code I'm using is below.

>	} else {
>		SystemTags("dir work:downloads > CON:0/0/640/80/Dir/CLOSE/WAIT",
>			   SYS_Output, Output,

add			   SYS_Input, NilFH,
where NilFH is the result of Open("NIL:",MODE_OLDFILE);  Otherwise System()
will cause your Input() filehandle to be closed, if the command is actually
run Async.  Read the autodocs.

>			   SYS_Asynch, NULL,
				       ^^^^
				       TRUE

>			   TAG_END, NULL);
>	}
> 
>	SystemTagList("date", TAG_END, NULL);
>	sleep(200);
>	printf("exiting now\n");
>} 
>
>The date gets printed only after the output from the dir command completes.
>Any ideas?

	See above.  You set SYS_ASYNCH to false, which is the default.  If
you had set it to true, you probably would crash (see above again).

	I assume you're running 37.175.  (People, when asking for help it
never hurts to include version number info...)

-- 
To be or not to be = 0xff
-
Randell Jesup, Jack-of-quite-a-few-trades, Commodore Engineering.
{uunet|rutgers}!cbmvax!jesup, [email-masked]  BIX: rjesup  
Disclaimer: Nothing I say is anything other than my personal opinion.